<?php
/**
 * Admin Menu Hook
 *
 * @category   WordPress_Plugin
 * @package    Common
 * @subpackage Hooks
 * @author     miniOrange <info@miniorange.com>
 * @license    MIT/Expat
 * @link       https://plugins.miniorange.com/woocommerce-api-product-sync-with-woocommerce-rest-apis
 */

namespace MOWCPS\Standard\Hooks;

use MOWCPS\Standard\Controllers\Admin\Menu_Controller;
use MOWCPS\Common\Interfaces\Hookable_Interface;

if ( ! defined( 'ABSPATH' ) ) {
	die;
}

/**
 * Class Admin_Menu
 *
 * Handles admin menu hook registration
 */
class Admin_Menu implements Hookable_Interface {

	/**
	 * Initialize the admin menu hooks
	 */
	public function __construct() {
		$this->register_hooks();
	}

	/**
	 * Register WordPress hooks
	 *
	 * @return void
	 */
	public function register_hooks() {
		add_action( 'admin_footer', array( Menu_Controller::class, 'render_feedback_form' ) );
	}
}
